<!DOCTYPE HTML>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
<body>

<div th:fragment="navbar(itemmenu)">

    <nav class="navbar navbar-expand-lg bg-light">
        <div class="container-fluid">
            <a class="navbar-brand" href="/">Smart-fridge</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarScroll"
                    aria-controls="navbarScroll" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarScroll">
                <ul class="navbar-nav me-auto my-2 my-lg-0 navbar-nav-scroll" style="--bs-scroll-height: 200px;">
                    <li class="nav-item">
                        <a th:class="${#strings.equals(itemmenu, 'wishlist')} ? 'nav-link active' : 'nav-link'"
                           href="/wishlist/">Список побажань</a>
                    </li>

                    <li class="nav-item">
                        <a th:class="${#strings.equals(itemmenu, 'product')} ? 'nav-link active' : 'nav-link'"
                           href="/product/">Продукти</a>
                    </li>

                    <li class="nav-item">
                        <a th:class="${#strings.equals(itemmenu, 'recipe')} ? 'nav-link active' : 'nav-link'"
                           href="/recipe/">Рецепти</a>
                    </li>

                    <li class="nav-item">
                        <a th:class="${#strings.equals(itemmenu, 'fridge')} ? 'nav-link active' : 'nav-link'"
                           href="/fridge/">Холодильник</a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link" href="/swagger-ui.html">Swagger-ui</a>
                    </li>
                </ul>

                <form class="d-flex" sec:authorize="isAuthenticated()" th:action="@{/logout}" th:method="POST">
                    <input type="submit" value="Logout">
                </form>

                <form class="d-flex" sec:authorize="isAnonymous()" th:action="@{/auth/login}" th:method="GET">
                    <input type="submit" value="Login">
                </form>

            </div>
        </div>
    </nav>
</div>
</body>
</html>
